//
//  ResizePerimeterScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct ResizePerimeterScreen: View {
    @ObservedObject var viewModel: PromotionalScreenViewModel
    @State private var navigateToNext = false

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Augmentez votre périmètre afin de recevoir plus de demandes")
                    .sqSize(20)
                    .sqFont(.bold)
                    .multilineTextAlignment(.center)
                Image("perimeter")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 140)
                VStack {
                    SQText("Le saviez-vous ?")
                        .sqFont(.semiBold)
                    SQText("Si vous le souhaitez, vous pouvez modifier à tout moment votre abonnement en élargissant votre périmètre d’intervention.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Modifier mon périmètre") {
                    navigateToNext = true
                }
                .sqColorScheme(.orange)
            }
            .padding(16)
            .background(Color.sqOrange(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier") {
                navigateToNext = true
            }
            .sqButtonType(.glass)
            .sqTextSize(13)
        }
        .navigationDestination(isPresented: $navigateToNext) {
            if let screen = viewModel.nextPromotionalScreen {
                viewModel.getPromotionalScreenNew(for: screen)
            } else {
                ResiliationConfirmationScreen()
            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
    }
}

#Preview {
    ResizePerimeterScreen(viewModel: PromotionalScreenViewModel())
}
